# EqualsLowerExpression Class Reference
[Logical expressions used in OSQL and Form]

Inheritance diagram for EqualsLowerExpression:
[legend]

List of all members.

## Public Member Functions

| __construct ($left, $right)
| toDialectString (Dialect $dialect)
| toMapped (ProtoDAO $dao, JoinCapableQuery $query)
| toBoolean (Form $form)

## Private Attributes

| $left = null
| $right = null

## Detailed Description

Definition at line 15 of file EqualsLowerExpression.class.php.

## Constructor & Destructor Documentation

EqualsLowerExpression::__construct | ( | $ | left,
|  | $ | right |
| ) |  |  |

Definition at line 20 of file EqualsLowerExpression.class.php.

References $left, and $right.

## Member Function Documentation

EqualsLowerExpression::toBoolean | ( | Form $ | form | ) |

Definition at line 52 of file EqualsLowerExpression.class.php.

References $left, $right, and Form::toFormValue().

Here is the call graph for this function:

EqualsLowerExpression::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 26 of file EqualsLowerExpression.class.php.

References SQLFunction::create().

Here is the call graph for this function:

EqualsLowerExpression::toMapped | ( | ProtoDAO $ | dao,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  EqualsLowerExpression

Implements MappableObject.

Definition at line 44 of file EqualsLowerExpression.class.php.

References ProtoDAO::guessAtom().

Here is the call graph for this function:

## Member Data Documentation

EqualsLowerExpression::$left = null`[private]`

Definition at line 17 of file EqualsLowerExpression.class.php.

Referenced by __construct(), and toBoolean().

EqualsLowerExpression::$right = null`[private]`

Definition at line 18 of file EqualsLowerExpression.class.php.

Referenced by __construct(), and toBoolean().

The documentation for this class was generated from the following file:

- core/Logic/EqualsLowerExpression.class.php